Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 17-08-2011 18:45:08

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Installation de Firstclass sur Squeeze

Bonsoir,
J'essaye d'installer un paquet .deb :

# dpkg -i fcc-10.014-Linux.i686.deb
dpkg : erreur de traitement de fcc-10.014-Linux.i686.deb (--install) :
 impossible d'ouvrir le fichier « /var/lib/dpkg/tmp.ci//.svn »: est un dossier
Des erreurs ont été rencontrées pendant l'exécution :
 fcc-10.014-Linux.i686.deb


Je n'ai pas trop envie de creuser, d'autant plus que j'utilise habituellement apt.

Je cherche donc à configurer un dépôt local.
Je déplace le paquet dans /var/local/sources, puis :

# cd /var/local/sources
# dpkg-scanpackages ./ /dev/null | gzip > Packages.gz
dpkg-scanpackages: avertissement: Paquets dans l'archive mais pas dans le fichier d'override :
dpkg-scanpackages: avertissement:   fcc
dpkg-scanpackages: info: 1 entrées écrites dans le fichier Packages


Je modifie le sources.list :

deb file:/var/local/sources  ./


puis :

# apt-get update
Ign file: ./ Release.gpg
Ign file:/var/local/sources/ ./ Translation-en                                
Ign file:/var/local/sources/ ./ Translation-fr                                
Ign file: ./ Release                                                          
Ign file: ./ Packages
...
Lecture des listes de paquets... Fait              
# apt-get install fcc-10.014-Linux.i686.deb
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet fcc-10.014-Linux.i686.deb
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « fcc-10.014-Linux.i686.deb »


Et voici ce que je constate dans le fichier Packages.gz, une fois décompressé :

Filename: .//fcc-10.014-Linux.i686.deb


Je pense que ce devrait être 'Filename: ./fcc-10.014-Linux.i686.deb' et que ma ligne de commande dpkg-scanpackages est incorrecte.

Qu'en pensez-vous ? Pouvez-vous m'aider ?


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#2 17-08-2011 21:07:43

jc1
Membre
Inscription : 03-06-2011

Re : Installation de Firstclass sur Squeeze

Bonjour,

FC sous Linux est lamentable, buggé au possible (freeze, menu incomplet, etc.) et seulement en anglais.
Sur le serveur FC, il y a souvent un webmail, ce que je te conseille.

Pas de MD5 pour vérifier le .deb. Je me demande si le deb est correct.

Et avec une version antérieure ?

'Filename: ./fcc-10.014-Linux.i686.deb'

Il y a une différence entre tes 2 lignes ?

Dernière modification par jc1 (17-08-2011 21:08:40)

Hors ligne

#3 17-08-2011 23:42:42

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : Installation de Firstclass sur Squeeze

Merci jc1.

Je sais que FC sous tux n'est pas terrible mais je veux éviter de retourner sous XP. J'essaye donc cette possibilité avant d'installer wine.
Je ne sais pas si le webmail présente les fonctionnalités dont je me sers mais je vais étudier aussi cette possibilité.

Concernant la version et l'intégrité du paquet, mon souci se situe en amont : le paquet n'est pas trouvé lors de la tentative d'installation.
C'est pour cela que j'ai indiqué ce qui m'a troublé dans packages.gz : dans 'Filename: .//fcc-10.014-Linux.i686.deb' il y a une succession de deux slashs et j'ai trouvé cela surprenant, en tout cas inutile même si ça n'a pas de conséquences.

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#4 18-08-2011 12:57:17

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : Installation de Firstclass sur Squeeze

J'ai essayé une version antérieure mais le paquet n'est toujours pas trouvé.

J'ai décidé de l'installer autrement mais Synaptic ou GDebi me renvoient en erreur :

dpkg : erreur de traitement de [i]chemin[/i]/fcc-10.014-Linux.i686.deb (--install) :
 impossible d'ouvrir le fichier " /var/lib/dpkg/tmp.ci//.svn ": est un dossier
Des erreurs ont été rencontrées pendant l'exécution : [i]chemin[/i]/fcc-10.014-Linux.i686.deb]


Le paquet est-il mal conçu ?


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

Pied de page des forums